﻿@using twitch.api;
@{
    List<Subscriber> subscribers = ViewData["subscribers"] as List<Subscriber>;
    var info = ViewData["info"];
}
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
<label for="followers-select">Afficher :</label>

<form asp-action="filterFollowers" asp-controller="Subscriber" method="post">
    <select name="followers" id="followers-select">
        <option value="">--liste des options--</option>
        <option value="all">Tous les subscribers</option>
        <option value="connected">Tous les subscribers connectés</option>
        <option value="favfollowers">Les subscribers les plus fidèles</option>
    </select>
    <button>valider</button>
</form>

<h1>Liste des followers @info</h1>

<table class="table">
    <thead>
        <tr><td scope="col">Nom</td>
            <td scope="col">Mail</td>
            <td scope="col">Avatar</td>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in subscribers)
{
    <tr>
            <td>@item.Name </td><td>@item.Email</td><td><img class="avatarPic" src="/pics/@item.ProfilePic" alt="avatar"></td>
    </tr>
}
    </tbody>
</table>
